Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.extract
Class AccuracyCoverageEvaluator

    java.lang.Object
      cc.mallet.extract.AccuracyCoverageEvaluator

All Implemented Interfaces:
  ExtractionEvaluator

    public class AccuracyCoverageEvaluator

extends java.lang.Object
implements ExtractionEvaluator

Constructs Accuracy-coverage graph using confidence values to sort Fields. Created: Nov 8, 2005

Author:

  Constructor Summary
  `AccuracyCoverageEvaluator(int numberBins)`

  Method Summary
  `void` | `evaluate(Extraction extraction)`
  `void` | `evaluate(java.lang.String description, Extraction extraction, java.io.PrintStream out)`
  `FieldComparator` | `getComparator()`
  `java.io.PrintStream` | `getErrorOutputStream()`
  `void` | `setComparator(FieldComparator comparator)`
  `void` | `setErrorOutputStream(java.io.OutputStream errorOutputStream)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### AccuracyCoverageEvaluator

      public AccuracyCoverageEvaluator(int numberBins)

  Method Detail

  ### getComparator

      public FieldComparator getComparator()

  ### setComparator

      public void setComparator(FieldComparator comparator)

  ### getErrorOutputStream

      public java.io.PrintStream getErrorOutputStream()

  ### setErrorOutputStream

      public void setErrorOutputStream(java.io.OutputStream errorOutputStream)

  ### evaluate

      public void evaluate(Extraction extraction)

    Specified by:
      `evaluate` in interface `ExtractionEvaluator`

  ### evaluate

      public void evaluate(java.lang.String description,
                           Extraction extraction,
                           java.io.PrintStream out)

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD